﻿
using System;
using System.Drawing;
using Wisej.Web;
using Wisej.Web.Ext.Html2Canvas;
using Wisej.Web.Ext.MobileIntegration;
using static System.Net.Mime.MediaTypeNames;

namespace CanvasExample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			//Draw a red line in the canvas
			canvas1.BeginPath();
			canvas1.MoveTo(0, 0);
			canvas1.LineTo(100, 100);
			canvas1.StrokeStyle = Color.Red;
			canvas1.Stroke();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			AlertBox.Show("Saved canvasimage.bmp to the current directory");
			// Use Html2Canvas to save a screenshot of the canvas contents
			Html2Canvas.Screenshot(this.canvas1, (image) => { image.Save(@".\canvasimage.bmp"); });
		}
	}
}
